.research-thumb-wrap{overflow: hidden; text-align: right;}
.research-thumb{width:auto !important; height:100% !important;}
::-webkit-scrollbar{display: none; }
[v-cloak]{ display: none !important; }
.layui-layer-btn0{font-size: 0.28rem !important;}

*{margin: 0 ; padding: 0 ; box-sizing: border-box; -webkit-tap-highlight-color: transparent;font-family:PingFangSC-Regular, sans-serif;text-decoration: none; outline: none; word-break: break-all !important; user-select: none; -webkit-touch-callout:none;-webkit-user-drag:none;-webkit-user-select:none;}
*::-webkit-scrollbar{width: 0; display: none;}
html{height: 100%; font-size: 13.333333333333vw; }
body{height: 100%;}
.mask{width: 100%; height: 100%; position: fixed; left: 0; top:0; z-index: 9999999;}
.mask-lead{position: absolute; right: 0; top: 0; width: 80%; z-index: 9999;}
.android-bridge{position: absolute;left:-9999px; top:-9999px;}
.wrap{height:100%;}
.ppt-page{width: 100%; position: absolute; left: 0; top: 0; z-index: 99999999;display: flex; justify-content: center; font-size: 0.14rem; align-items: center; padding: 0.2rem; background:rgba(0,0,0,0.5);}
.ppt-page-close{width:0.4rem; display: block;}
.showboon-ppt {width: 100%;position: fixed;left: 0;top: 50%;z-index: 9999999;transform: translateY(-50%);}
.v-loading-mask{width:100vw; height: 100vh; display: flex; justify-content: center; align-items: center; background:#fff; position: absolute; left: 0; top: 0; z-index: 999999;}
.list-loading-mask{width:100vw; height: 100vh; display: flex; justify-content: center; align-items: center; background:#fff; position: absolute; left: 0; top: 0.90rem; z-index: 999999;}

img{image-rendering:  -webkit-optimize-contrast  !important; }
@keyframes loading{
    0% {transform: rotate(0deg);}
    100% {transform: rotate(360deg);}
}
.loading{animation: loading 1s linear infinite;}

/*xslider  */
.xslider{width: 100%; height:250px; position: relative; overflow: hidden;}
.xslider-body{display: flex;position: absolute;  flex-wrap: nowrap; transition-property: transform;}

/*xslider  */

.p-wrap{position: relative;overflow: hidden;background: #f6f6f6;color: #fff; }
/* .p-wrap:before{content:"";display: block;  position: absolute;width: 200%;height: 100%;background: linear-gradient(90deg,#f6f6f6 0,#f0f0f0 20%,#f6f6f6 40%,#f6f6f6);-webkit-animation: linear-double 1s linear 1ms infinite forwards;animation: linear-double 1s linear 1ms infinite forwards;}
@keyframes linear-double {
    0% {
        -webkit-transform: translateX(-56%);
        transform: translateX(-56%)
    }
    to {
        -webkit-transform: translateX(56%);
        transform: translateX(56%)
    }
}
.p-wrap:after{display:block; content:"";width: 100%; height: 100%; background: #f6f6f6;} */


.ml0{margin-left: 0px !important;}
.ml2{margin-left: 2px !important;}
.ml5{margin-left: .05rem !important;}
.ml8{margin-left: 0.08rem !important;}
.ml10{margin-left: .1rem;}
.ml12{margin-left: .12rem;}
.ml13{margin-left: .13rem;}
.ml14{margin-left: .14rem;}
.ml15{margin-left: .15rem;}
.ml20{margin-left: .2rem;}
.ml25{margin-left: .25rem;}
.ml30{margin-left: .3rem;}
.ml35{margin-left: .35rem;}
.ml40{margin-left: .4rem;}
.ml45{margin-left: .45rem;}
.ml50{margin-left: 0.50rem;}
.ml52{margin-left: 0.52rem;}
.ml55{margin-left: 0.55rem;}
.ml56{margin-left: 0.56rem;}
.ml60{margin-left: .6rem;}
.ml65{margin-left: .65rem;}
.ml66{margin-left: .66rem;}
.ml70{margin-left: .7rem;}
.ml80{margin-left: .8rem;}
.ml84{margin-left: .84rem;}
.ml86{margin-left: .86rem;}
.ml88{margin-left: .88rem;}
.ml90{margin-left: .9rem;}
.ml120{margin-left: 1.2rem;}
.ml_8{margin-left: -0.08rem;}
.ml_7{margin-left: -0.07rem;}
.ml_10{margin-left: -0.1rem;}

.mr5{margin-right: 0.05rem;}
.mr10{margin-right: 0.10rem;}
.mr15{margin-right: 0.15rem;}
.mr20{margin-right: 0.2rem !important;}
.mr24{margin-right: 0.24rem !important;}
.mr30{margin-right: 0.3rem;}
.mr40{margin-right: 0.4rem;}
.mr50{margin-right: 0.5rem;}
.mr60{margin-right: 0.6rem;}
.mr80{margin-right: 0.8rem;}

.m-auto{margin: 0 auto;}
.mt0{margin-top: 0 !important;}
.mt5{margin-top: .05rem;}
.mt6{margin-top: .06rem;}
.mt7{margin-top: .07rem;}
.mt8{margin-top: .08rem;}
.mt10{margin-top: 0.1rem !important;}
.mt11{margin-top: 0.1rem !important;}
.mt12{margin-top: 0.12rem !important;}
.mt13{margin-top: 0.13rem !important;}
.mt15{margin-top: .15rem !important;}
.mt16{margin-top: .16rem !important;}
.mt18{margin-top: .18rem !important;}
.mt20{margin-top: .2rem !important;}
.mt22{margin-top: .22rem !important;}
.mt23{margin-top: .23rem !important;}
.mt24{margin-top: .24rem !important;}
.mt25{margin-top: .25rem !important;}
.mt26{margin-top: .26rem;}
.mt28{margin-top: .28rem;}
.mt30{margin-top: .3rem !important;;}
.mt34{margin-top: 0.34rem;}
.mt35{margin-top: 0.35rem;}
.mt36{margin-top: 0.36rem;}
.mt38{margin-top: .38rem;}
.mt40{margin-top: .4rem;}
.mt43{margin-top: .43rem;}
.mt45{margin-top: .45rem;}
.mt48{margin-top: .48rem;}
.mt50{margin-top: 0.5rem !important;}
.mt60{margin-top: 0.6rem !important;}
.mt65{margin-top: 0.65rem !important;}
.mt70{margin-top: 0.7rem !important;}
.mt78{margin-top: 0.78rem !important;}
.mt80{margin-top: 0.8rem;}
.mt85{margin-top: 0.85rem !important;}
.mt100{margin-top: 1rem !important;}
.mt200{margin-top: 2rem !important;}

.mt_5{margin-top: -0.05rem;}
.mt_15{margin-top: -0.15rem;}
.mt_20{margin-top: -0.2rem;}

.mb10{margin-bottom: 0.1rem;}
.mb30{margin-bottom: 0.3rem;}

.p20{padding: .2rem;}
.p30{padding:0.3rem;}

.pr10{padding-right: .1rem;}
.pr15{padding-right: .15rem;}
.pr20{padding-right: .2rem;}
.pr30{padding-right: .3rem;}
.pr40{padding-right: .4rem;}
.pr50{padding-right: .5rem;}
.pr60{padding-right: .6rem;}
.pr70{padding-right: 0.7rem;}

.pl30{padding-left: 0.3rem;}
.pl20{padding-left: 0.2rem;}
.pl40{padding-left: 0.4rem;}
.pl10{padding-left: 0.1rem;}

.pt10{padding-top: 0.1rem;}
.pt20{padding-top: 0.2rem;}
.pt30{padding-top: 0.3rem;}
.pt25{padding-top: 0.25rem;}
.pt34{padding-top: 0.34rem;}
.pt50{padding-top: 0.5rem;}

.pb0{padding-bottom: 0 !important;}
.pb10{padding-bottom: 0.1rem !important; }
.pb20{padding-bottom: 0.2rem !important; }
.pb24{padding-bottom: 0.24rem !important; }

.h-1{height: 1px;}
.h-10{height:0.1rem !important; }
.h-15{height:0.15rem !important; }
.h-18{height: 0.18rem;}
.h-20{height: 0.2em;}
.h-22{height: 0.22em;}
.h-25{height: .25rem;}
.h-26{height: .26rem;}
.h-30{height: .3rem;}
.h-28{height: 0.28rem;}
.h-33{height:.33rem;}
.h-34{height:.34rem;}
.h-40{height: 0.4rem;}
.h-45{height: 0.45rem;}
.h-50{height:0.5rem;}
.h-52{height:0.52rem;}
.h-80{height:0.80rem !important;}
.h-95{height: 0.95rem;}
.h-100{height: 1rem;}
.h-110{height: 1.1rem;}
.h-140{height: 1.4rem;}
.h-152{height: 1.52rem;}
.h-150{height: 1.5rem;}
.h-170{height: 1.7rem;}
.h-200{height: 2rem;}
.h-auto{height: auto !important;}

.h30{height: 30% !important;}
.h70{height: 70% !important;}
.h96{height: 96% !important;}
.h98{height: 98% !important;}
.h100{height: 100% !important;}

.mh24{min-height: 24px;}

.f0{font-size: 0;}
.f12{font-size: 0.12rem;}
.f14{font-size:0.14rem;}
.f16{font-size:  0.16rem;}
.f18{font-size: 0.18rem;}
.f20{font-size: 0.2rem;}
.f22{font-size:  0.22rem;}
.f24{font-size: 0.24rem;}
.f26{font-size:0.26rem;}
.f28{font-size: 0.28rem ;}
.f30{font-size: 0.3rem;}
.f29{font-size: 0.29rem;}
.f32{font-size: 0.32rem;}
.f34{font-size: 0.34rem;}
.f36{font-size: 0.36rem;}
.f38{font-size: 0.38rem;}
.f40{font-size: 0.4rem;}
.f42{font-size: 0.42rem;}
.f45{font-size: 0.45rem;}
.f48{font-size: 0.48rem;}
.f50{font-size: 0.5rem;}
.f58{font-size: 0.58rem;}
.f60{font-size: 0.60rem;}
.f80{font-size: 0.8rem;}

.f-16{font-size: 16px;}
.f-18{font-size: 18px;}
.f-15{font-size: 15px;}
.f-14{font-size: 14px;}
.f-13{font-size: 13px;}
.f-12{font-size: 12px;}

.fw-800{font-weight: 800;}
.fw-650{font-weight: 650;}
.fw-600{font-weight: 600;}
.fw-500{font-weight: 500;}
.fbold{font-weight: bold;}

.w-auto{width: auto !important;}
.w-20{width: 0.2rem;}
.w-22{width: 0.22rem;}
.w-25{width: 0.25rem;}
.w-28{width: 0.28rem;}
.w-30{width: 0.30rem !important;}
.w-32{width: 0.32rem;}
.w-50{width: 0.5rem;}
.w-60{width: 0.6rem;}
.w-52{width: 0.52rem;}
.w-40{width: 0.4rem;}
.w-80{width: 0.8rem;}
.w-100{width: 1rem;}
.w-110{width: 1.1rem;}
.w-120{width: 1.2rem !important;}
.w-140{width: 1.4rem;}
.w-145{width: 1.45rem;}
.w-150{width: 1.5rem;}
.w-152{width: 1.52rem;}
.w-160{width: 1.6rem !important;}
.w-280{width: 2.8rem !important;}
.w-250{width: 2.5rem;}
.w-240{width: 2.4rem;}
.w-418{width: 4.18rem;}
.w-690{width: 6.9rem;}
.w10{width: 10%;}
.w14{width: 14%;}
.w15{width: 15%;}
.w20{width: 20%;}
.w25{width: 25%;}
.w30{width: 30%;}
.w33{width: 33%;}
.w35{width: 35%;}
.w40{width: 40%;}
.w45{width: 45%;}
.w46{width: 46%;}
.w50{width: 50%;}
.w55{width: 55%;}
.w60{width: 60%;}
.w65{width: 65%;}
.w70{width: 70%;}
.w75{width: 75%;}
.w80{width: 80%;}
.w85{width: 85%;}
.w90{width: 90%;}
.w94{width: 94% !important;}
.w95{width: 95% !important;}
.w96{width: 96% !important;}
.w98{width: 98%;}
.w100{width: 100% !important;}
.w150{width: 150% }
.w180{width: 180% }
.w200{width: 200%}

.lh-40{line-height: 0.4rem;}

.hidden{overflow: hidden;}
.hide{visibility: hidden;}

.color-00{color:#000 ;}
.color-1b{color:#1b1b1b ;}
.color-33{color:#333 ;}
.color-66{color:#666 ;}
.color-99{color:#999 ;}
.color-fff{color:#fff;}
.color-2a{color:#2A2A2A;}
.color-46{color:#46464B ;}
.color-5a{color: #5A5A5F;}
.color-8e{color:#8E8D99 !important;}
.color-86{color:#86829E;}
.color-868{color:#86829E}
.color-45{color:#456889 ;}
.color-ff4{color:#FF4A83 ;}
.color-2d{color:#2d2d2d;}
.color-fe{color:#FE3824;}
.color-007{color:#0076FF;}
.color-ff3{color:#FF340A;}
.color-5e{color:#5E92E2;}
.color-c7{color:#C7C7CD;}
.color-cc{color:#ccc;}
.color-00{color:#000;}
.color-pink{color:#FF80AB;}
.color-ff{color:#fff;}
.color-b3{color:#B3B3B3;}
.color-f5{color:#F5A623;}
.color-36{color: #363636;}
.color-e2{color:#E260A6;}
.color-e6{color: #e6e6e6;}

.bg-f5{background:#f5f5f5 !important;}
.bg-f7{background: #f7f7fa !important;}
.bg-f7f7{background: #f7f7f7 !important;}
.bg-e1{background:#E1E1E1 !important;}
.bg-fe{background: #fee0b2 !important;}
.bg-f9{background:#ff90cd !important;}
.bg-84{background:#84cbff !important;}
.bg-a5{background:#a5d04a !important;}
.bg-fc{background:#FCCBDC !important;}
.bg-ff{background: #fff !important;}
.bg-c0{background:#C0EDED !important; }
.bg-black{background:rgba(0,0,0,0.8) !important;}

.left-0{left: 0;}
.top-0{top: 0;}
.top-1{top: 1px;}
.top-2{top: 2px;}
.top_1{top: -1px !important;}
.top_2{top: -2px !important;}
.top_4{top: -4px !important;}

.block{display: block;}
.inline-block{display: inline-block;}
.flex-1{flex:1 !important;}
.flex-nowrap{flex-wrap: nowrap;}
.flex-wrap{flex-wrap: wrap;}
.flex{display: flex !important;}
.flex-fixed{ flex-shrink: 0; flex-grow: 0;}
.flex-column{flex-direction: column !important;}
.justify-center{justify-content: center;}
.justify-between{justify-content: space-between;}
.justify-around{justify-content: space-around;}
.justify-right{justify-content: flex-end;}
.justify-left{justify-content: flex-start;}
.align-center{align-items: center;}
.align-bottom{align-items: flex-end;}
.align-end{align-items: flex-end;}
.align-top{align-items: flex-start;} 
.relative{position: relative;}
.text-center{text-align: center;}
.text-right{text-align: right;}


.border-none{border: none !important;}
.none{display: none !important;}
.vertical-line{width:1px; background: #979797;}

.line{height: 1px ; margin: 0 auto;}
.x-hidden{overflow-x: auto;}

.border-r-4{border-radius: 0.04rem;}
.border-r-12{border-radius: 0.12rem;}
.border-r-50{border-radius: 50%;}
.border-r-100{border-radius: 100%;}
.border-b-1{border-bottom: 1px solid #ebebeb;}
.border-circle{border-radius: 100%;}
.break-word{word-break: break-all;}

.overflow-auto{overflow:auto;}
.z-9{z-index: 9;}
.overflow-x-hidden{overflow-x: hidden; white-space: nowrap;text-overflow: ellipsis;}
.absolute {position: absolute !important;}
.pointer{cursor: pointer !important;}
.author-tag{background: #f5f5f5; padding: 2px 10px; color:#5A5A5F; font-size: 0.2rem; text-align: center; border-radius: 0.3rem;}
.two-line{display: -webkit-box;-webkit-box-orient: vertical;-webkit-line-clamp: 2;overflow: hidden; text-overflow: ellipsis; padding:5px; }
.one-line{display: -webkit-box;-webkit-box-orient: vertical;-webkit-line-clamp: 1;overflow: hidden; text-overflow: ellipsis;  }